"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getS3 = void 0;
const client_s3_1 = require("@aws-sdk/client-s3");
const config_1 = require("./config");
let s3 = null;
const getS3 = () => {
    if (s3) {
        return s3;
    }
    s3 = new client_s3_1.S3({
        region: config_1.Config.region,
        credentials: {
            accessKeyId: config_1.Config.accessKeyId,
            secretAccessKey: config_1.Config.secretAccessKey,
        },
    });
    return s3;
};
exports.getS3 = getS3;
//# sourceMappingURL=s3.js.map